| LightHub v4.0.0 Smarthome controller firmware

Macros | Typedefs | Functions | Variables
owTerm.h File Reference
`#include <DallasTemperature.h>`
`#include "aJSON.h"`
`#include <Wire.h>`
`#include <DS2482_OneWire.h>`

Go to the source code of this file.

## Macros
#define | SW_AUX0 0x40
#define | SW_AUX1 0x80
#define | SW_STAT0 0x4
#define | SW_STAT1 0x8
#define | SW_OUT0 0x20
#define | SW_OUT1 0x10
#define | SW_MASK 0xF
#define | SW_INMASK 0xFC
#define | recheck_interval 5
#define | check_circle 2000/t_count
#define | SW_FIND 1
#define | SW_DOUBLECHECK 2
#define | SW_PULSE0 4
#define | SW_PULSE1 8
#define | SW_PULSE_P0 0x10
#define | SW_PULSE_P1 0x20
#define | SW_CHANGED_P0 0x40
#define | SW_CHANGED_P1 0x80
#define | SW_PULSE0_R 0x100
#define | SW_PULSE1_R 0x200
#define | recheck_interval 5
#define | check_circle 2000/t_count
#define | t_max OW_DEVICES_LIMIT
#define | TEMPERATURE_PRECISION 12
#define | DS2482_100_I2C_TO_1W_BRIDGE

## Typedefs
typedef void(* | owChangedType) (int, DeviceAddress, float)

## Functions
int | owUpdate ()
int | owSetup (owChangedType owCh)
void | owLoop ()
void | setupOwIdle (void(*)())
int | owFind (DeviceAddress addr)
void | owAdd (DeviceAddress addr)

## Variables
aJsonObject * | owArr
OneWire * | oneWire
DallasTemperature * | sensors
DeviceAddress * | term
int * | regs
uint16_t * | wstat
int | t_count
short | si
owChangedType | owChanged

## Macro Definition Documentation

## ◆ check_circle [1/2]

#define check_circle 2000/t_count

## ◆ check_circle [2/2]

#define check_circle 2000/t_count

## ◆ DS2482_100_I2C_TO_1W_BRIDGE

#define DS2482_100_I2C_TO_1W_BRIDGE

## ◆ recheck_interval [1/2]

#define recheck_interval 5

## ◆ recheck_interval [2/2]

#define recheck_interval 5

## ◆ SW_AUX0

#define SW_AUX0 0x40

## ◆ SW_AUX1

#define SW_AUX1 0x80

## ◆ SW_CHANGED_P0

#define SW_CHANGED_P0 0x40

## ◆ SW_CHANGED_P1

#define SW_CHANGED_P1 0x80

## ◆ SW_DOUBLECHECK

#define SW_DOUBLECHECK 2

## ◆ SW_FIND

#define SW_FIND 1

## ◆ SW_INMASK

#define SW_INMASK 0xFC

## ◆ SW_MASK

#define SW_MASK 0xF

## ◆ SW_OUT0

#define SW_OUT0 0x20

## ◆ SW_OUT1

#define SW_OUT1 0x10

## ◆ SW_PULSE0

#define SW_PULSE0 4

## ◆ SW_PULSE0_R

#define SW_PULSE0_R 0x100

## ◆ SW_PULSE1

#define SW_PULSE1 8

## ◆ SW_PULSE1_R

#define SW_PULSE1_R 0x200

## ◆ SW_PULSE_P0

#define SW_PULSE_P0 0x10

## ◆ SW_PULSE_P1

#define SW_PULSE_P1 0x20

## ◆ SW_STAT0

#define SW_STAT0 0x4

## ◆ SW_STAT1

#define SW_STAT1 0x8

## ◆ t_max

#define t_max OW_DEVICES_LIMIT

## ◆ TEMPERATURE_PRECISION

#define TEMPERATURE_PRECISION 12

## Typedef Documentation

## ◆ owChangedType

typedef void(* owChangedType) (int, DeviceAddress, float)

## Function Documentation

## ◆ owAdd()

void owAdd | ( | DeviceAddress | addr | ) |

## ◆ owFind()

int owFind | ( | DeviceAddress | addr | ) |

## ◆ owLoop()

void owLoop | ( |  | ) |

## ◆ owSetup()

int owSetup | ( | owChangedType | owCh | ) |

## ◆ owUpdate()

int owUpdate | ( |  | ) |

## ◆ setupOwIdle()

void setupOwIdle | ( | void(*)() |  | ) |

## Variable Documentation

## ◆ oneWire

OneWire* oneWire
| extern

## ◆ owArr

aJsonObject* owArr
| extern

## ◆ owChanged

owChangedType owChanged
| extern

## ◆ regs

int* regs
| extern

## ◆ sensors

DallasTemperature* sensors
| extern

## ◆ si

short si
| extern

## ◆ t_count

int t_count
| extern

## ◆ term

DeviceAddress* term
| extern

## ◆ wstat

uint16_t* wstat
| extern